<?php
    //require('../functions/conexion.php');

    $nombre_producto = $_POST['nombre_prod_mat'];
    $precio_producto = $_POST['precio_prod_mat'];
    
    // Conexión a la base de datos
    $conexion = new mysqli('localhost', 'root', '', 'mi_cabanita');

    // Verificar si la conexión es exitosa
    if ($conexion->connect_error) {
        die('Error de conexión: ' . $conexion->connect_error);
    }

    // Ejecutar la inserción
    $query = $conexion->query("SELECT * FROM productos WHERE pro_nombre = '$nombre_producto'");
    if ($query->num_rows > 0) {
        $datos = [
            'ya_existe'=>1,
          ];
    }else{
        $conexion->query("INSERT INTO productos VALUES(null, 'EXTRA', '$nombre_producto', '$precio_producto', 'EXTRA', 'ALTA', '', '', '', '', 0, CURRENT_TIME(), CURRENT_TIME())");
        // Obtener el ID de la última inserción
        $id = $conexion->insert_id;

        // Cerrar la conexión
        $conexion->close();
        
        $datos = [
            'nombre_producto' => $nombre_producto,
            'precio_producto'=>$precio_producto,
            'id' => $id,
        ];
    }
    

    
    echo json_encode($datos);
    

?>